/* GCompris - Data.qml
 *
 * Copyright (C) 2019 Shubham Mishra <shivam828787@gmail.com>
 *
 * Authors:
 *   Shubham Mishra <shivam828787@gmail.com>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
import GCompris 1.0

Data {
    objective: qsTr("Large grids.")
    difficulty: 3
    data: [
          { // A
            "columns": 6,
            "image":
                [
                0,2,2,0,1,2,
                2,0,0,2,3,2,
                2,1,3,2,0,1,
                2,0,0,2,4,0,
                2,0,0,2,0,4
            ]
        },
        { // B
            "columns": 7,
            "image":
                [
                2,2,2,2,1,1,1,
                2,0,0,2,3,0,1,
                2,1,1,0,1,0,2,
                2,0,0,2,3,4,1,
                2,2,2,2,4,3,1
            ]
        },
        { // C
            "columns": 6,
            "image":
                [
                2,3,3,3,4,5,
                2,0,0,0,0,6,
                2,0,2,0,3,2,
                2,0,1,0,2,1,
                2,3,3,3,2,5
            ]
        },
        { // D
            "columns": 6,
            "image":
                [
                1,1,1,0,1,0,
                1,0,0,2,3,4,
                1,0,4,2,4,3,
                1,0,0,2,5,0,
                1,1,1,0,3,1
            ]
        },
        { // E
            "columns": 6,
            "image":
                [
                1,1,1,1,1,1,
                1,0,2,0,1,0,
                1,2,2,0,3,3,
                1,0,3,0,4,0,
                1,1,1,1,0,0
            ]
        },
        { // F
            "columns": 6,
            "image":
                [
                1,2,1,3,1,4,
                1,0,2,0,3,0,
                4,2,2,0,4,4,
                1,0,3,0,3,0,
                1,2,0,0,2,1,
                2,5,0,0,1,2
            ]
        },
        { // G
            "columns": 7,
            "image":
                [
                1,2,1,3,1,4,1,
                1,0,2,0,3,0,5,
                1,0,2,2,0,3,3,
                1,0,0,2,2,0,3,
                1,6,1,0,4,2,1
            ]
        },
        { // H
            "columns": 6,
            "image":
                [
                4,0,2,1,3,5,
                1,2,0,3,4,1,
                1,2,3,1,2,1,
                1,0,5,5,0,1,
                1,0,6,1,6,0
            ]
        },
        { // I
            "columns": 7,
            "image":
                [
                0,2,2,2,2,0,5,
                2,0,1,0,3,1,4,
                4,0,1,0,5,6,0,
                4,0,1,2,3,4,6,
                0,2,2,2,0,0,5
            ]
        },
        { // J
            "columns": 7,
            "image":
                [
                0,3,2,4,0,1,1,
                0,3,2,0,1,4,2,
                0,0,2,0,4,5,1,
                1,0,2,0,0,0,1,
                1,2,1,0,4,1,3
            ]
        },
        { // K
            "columns": 7,
            "image":
                [
                1,4,0,1,2,0,0,
                1,0,5,0,0,3,0,
                1,3,0,0,0,0,4,
                1,0,5,0,0,3,0,
                1,4,0,1,2,0,0
            ]
        },
        { // L
            "columns": 7,
            "image":
                [
                1,0,0,0,3,0,0,
                1,0,0,3,0,3,0,
                1,0,3,0,4,0,3,
                1,3,0,0,0,3,4,
                2,2,2,2,2,2,2
            ]
        },
        { // M
            "columns": 7,
            "image":
                [
                1,0,0,0,1,4,0,
                1,2,0,2,1,0,5,
                1,0,2,0,1,4,0,
                1,0,3,0,1,0,5,
                1,3,0,3,1,4,0,
                0,1,0,5,0,1,0
            ]
        },
        { // N
            "columns": 7,
            "image":
                [
                1,0,5,0,1,0,0,
                1,2,0,4,0,5,0,
                1,0,2,0,1,0,1,
                1,4,0,2,0,4,0,
                1,0,5,0,1,0,1,
                0,0,1,0,5,0,1
            ]
        },
        { // O
            "columns": 7,
            "image":
                [
                0,2,3,0,3,2,0,
                1,5,0,1,0,1,1,
                1,0,5,1,1,0,1,
                1,5,0,1,0,1,1,
                0,3,2,0,2,3,0,
                1,2,0,1,0,5,1,
                0,3,2,0,2,3,0
            ]
        },
        { // P
            "columns": 8,
            "image":
                [
                1,3,3,1,1,2,2,1,
                2,0,5,1,5,0,0,2,
                1,2,2,1,4,5,5,4,
                1,0,4,0,5,0,4,2,
                1,5,0,4,4,0,5,1,
                0,1,1,0,0,1,1,0,
                3,4,0,2,2,0,4,3
            ]
        },
        { // Q
            "columns": 8,
            "image":
                [
                0,3,3,0,0,2,2,0,
                4,0,0,4,4,0,0,4,
                1,0,0,4,4,0,0,4,
                2,4,0,0,3,0,4,2,
                1,5,0,3,1,0,5,1,
                0,0,0,4,4,0,0,0,
                4,3,5,1,1,5,4,3
            ]
        },
        { // R
            "columns": 8,
            "image":
                [
                5,0,0,0,5,0,0,0,
                0,4,0,4,0,4,0,4,
                0,0,3,0,0,0,3,0,
                0,0,1,0,0,0,1,0,
                0,1,0,1,0,1,0,1,
                1,0,0,0,1,0,0,0,
                2,0,2,0,2,0,2,0
            ]
        },
        { // S
            "columns": 8,
            "image":
                [
                1,0,2,3,0,2,0,1,
                0,2,0,4,4,0,2,0,
                0,0,3,0,0,3,0,0,
                0,0,0,4,4,0,0,0,
                0,0,3,0,0,3,0,0,
                0,2,0,4,4,0,2,0,
                1,0,2,0,3,2,0,1
            ]
        },
        { // T
            "columns": 8,
            "image":
                [
                4,0,4,0,4,0,4,0,
                0,5,0,5,0,5,0,5,
                4,0,4,0,4,0,4,0,
                0,5,0,5,0,5,0,5,
                4,0,4,0,4,0,4,0,
                0,5,0,5,0,5,0,5,
                4,0,4,0,4,0,4,0
            ]
        },
        { // U
            "columns": 8,
            "image":
                [
                4,0,1,0,4,0,1,0,
                0,5,0,3,3,0,0,5,
                4,0,2,0,0,0,3,0,
                0,5,0,3,0,3,0,5,
                4,0,3,4,4,0,2,0,
                0,5,0,1,3,2,0,5,
                4,0,1,2,4,0,1,0
            ]
        },
        { // V
            "columns": 8,
            "image":
                [
                0,3,3,0,0,3,3,0,
                5,0,0,5,5,0,0,5,
                4,0,0,4,4,0,0,4,
                0,5,5,0,0,5,5,0,
                3,0,4,0,3,0,4,0,
                0,2,0,2,0,2,0,2,
                4,0,1,0,4,0,1,0
            ]
        },
        { // W
            "columns": 8,
            "image":
                [
                1,0,2,0,5,2,0,3,
                0,2,0,1,0,4,0,0,
                0,0,3,0,1,0,3,0,
                0,5,0,4,0,5,0,1,
                0,1,1,0,5,0,4,0,
                0,1,0,2,0,4,0,3,
                0,2,0,1,0,3,0,4
            ]
        },
        { // X
            "columns": 8,
            "image":
                [
                0,1,3,0,2,1,0,3,
                0,4,1,0,0,4,1,0,
                5,3,0,0,1,0,3,5,
                4,1,0,4,1,0,4,1,
                0,1,1,0,5,0,4,0,
                0,1,0,2,0,4,0,3,
                0,2,0,1,1,0,0,4
            ]
        },
        { // Y
            "columns": 8,
            "image":
                [
                1,0,1,0,1,0,1,0,
                0,2,0,2,0,2,0,2,
                3,0,3,0,3,0,3,0,
                0,4,0,4,0,4,0,4,
                1,0,1,0,1,0,1,0,
                0,2,0,2,0,2,0,2,
                3,0,3,0,3,0,3,0
            ]
        },
        { // Z
            "columns": 8,
            "image":
                [
                1,5,1,0,1,5,1,0,
                0,2,0,2,0,2,0,2,
                3,0,3,1,3,1,3,0,
                0,4,0,5,5,0,0,4,
                1,0,1,4,4,0,1,0,
                0,2,0,2,2,0,0,2,
                3,0,3,0,3,0,3,0
            ]
        },
    ]
}
