/* GCompris - Data.qml
 *
 * Copyright (C) 2020 Shubham Mishra <email.shivam828787@gmail.com>
 *
 * Authors:
 *   shivam828787@gmail.com <email.shivam828787@gmail.com>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
import GCompris 1.0

Data {
    objective: qsTr("Maximum 25 candies and 5 kids, no rest.")
    difficulty: 4
    data:  [
        [
            {
                "instruction": qsTr("Paul wants to equally share 2 pieces of candy between 2 of his girl friends. Can you help him? First, place the children in the center, then drag the pieces of candy to each of them."),
                "randomisedInputData": false,
                "totalBoys": 0,
                "totalGirls": 2,
                "totalCandies": 2,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Now he wants to give 4 pieces of candy to his friends."),
                "randomisedInputData": false,
                "totalBoys": 1,
                "totalGirls": 1,
                "totalCandies": 4,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Can you now give 6 of Paul's pieces of candy to his friends?"),
                "randomisedInputData": false,
                "totalBoys": 1,
                "totalGirls": 1,
                "totalCandies": 6,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("He wants to give 7 more pieces of candy to his friends."),
                "randomisedInputData": false,
                "totalBoys": 1,
                "totalGirls": 1,
                "totalCandies": 8,
                "forceShowBasket": false,
                "placedInGirls": 1,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Paul has only 12 pieces of candy left. He eats 2 pieces of candy and he gives the rest to his friends. Can you help him equally split the 10 remaining pieces of candy?"),
                "randomisedInputData": false,
                "totalBoys": 1,
                "totalGirls": 1,
                "totalCandies": 10,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            }
        ],
        [
            {
                "instruction": qsTr("George wants to equally share 3 pieces of candy between 3 of his girl friends. Can he equally split the pieces of candy? First, place the children in the center, then drag the pieces of candy to each of them."),
                "randomisedInputData": false,
                "totalBoys": 0,
                "totalGirls": 3,
                "totalCandies": 3,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Maria wants to equally share 6 pieces of candy between 3 of her friends: 1 girl and 2 boys. Can she equally split the pieces of candy? First, place the children in the center, then drag the pieces of candy to each of them."),
                "randomisedInputData": false,
                "totalBoys": 2,
                "totalGirls": 1,
                "totalCandies": 6,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("John wants to equally share 8 pieces of candy between 3 of his friends: 1 boy and 2 girls. Can he equally split the pieces of candy? First, place the the children in the center, then drag the pieces of candy to each of them."),
                "randomisedInputData": false,
                "totalBoys": 1,
                "totalGirls": 2,
                "totalCandies": 9,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 1
            },
            {
                "instruction": qsTr("Paul wants to equally share 12 pieces of candy between 3 of his friends: 2 boys and 1 girl. Can he equally split the pieces of candy? First, place the children in the center, then drag the pieces of candy to each of them."),
                "randomisedInputData": false,
                "totalBoys": 2,
                "totalGirls": 1,
                "totalCandies": 12,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Maria wants to equally share 11 pieces of candy between 3 of his friends: 1 boy and 2 girls. Can he equally split the pieces of candy? First, place the children in the center, then drag the pieces of candy to each of them."),
                "randomisedInputData": false,
                "totalBoys": 1,
                "totalGirls": 2,
                "totalCandies": 15,
                "forceShowBasket": false,
                "placedInGirls": 2,
                "placedInBoys": 0
            }
        ],
        [
            {
                "instruction": qsTr("Alice wants to equally share 4 pieces of candy between 4 of her girl friends. Can you help her? First, place the children in the center, then drag the pieces of candy to each of them."),
                "randomisedInputData": false,
                "totalBoys": 0,
                "totalGirls": 4,
                "totalCandies": 4,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Now, Alice wants to give 8 pieces of candy to her friends."),
                "randomisedInputData": false,
                "totalBoys": 2,
                "totalGirls": 2,
                "totalCandies": 8,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Can you help Alice give 10 pieces of candy to her friends, 1 girl and 3 boys?"),
                "randomisedInputData": false,
                "totalBoys": 3,
                "totalGirls": 1,
                "totalCandies": 12,
                "forceShowBasket": false,
                "placedInGirls": 2,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Alice wants to give 16 pieces of candy to her friends."),
                "randomisedInputData": false,
                "totalBoys": 2,
                "totalGirls": 2,
                "totalCandies": 16,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Alice has 14 pieces of candy left. She wants to give them all to her friends. Can you help her split the pieces of candy equally?"),
                "randomisedInputData": false,
                "totalBoys": 2,
                "totalGirls": 2,
                "totalCandies": 20,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 3
            }
        ],
        [
            {
                "instruction": qsTr("Michael wants to equally share 5 pieces of candy between 5 of his girl friends. Can you help him? First, place the children in the center, then drag the pieces of candy to each of them."),
                "randomisedInputData": false,
                "totalBoys": 0,
                "totalGirls": 5,
                "totalCandies": 5,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Helen has 5 friends: 2 boys and 3 girls. She wants to give them 10 pieces of candy. Help her split the pieces of candy between her friends."),
                "randomisedInputData": false,
                "totalBoys": 2,
                "totalGirls": 3,
                "totalCandies": 10,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Michelle has 12 pieces of candy and wants to split them between 4 brothers and 1 sister. Help her share the pieces of candy."),
                "randomisedInputData": false,
                "totalBoys": 4,
                "totalGirls": 1,
                "totalCandies": 15,
                "forceShowBasket": false,
                "placedInGirls": 3,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Thomas wants to share his 20 pieces of candy with his friends: 1 boy and 4 girls. Can you help him?"),
                "randomisedInputData": false,
                "totalBoys": 1,
                "totalGirls": 4,
                "totalCandies": 20,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Paul wants to equally share 20 pieces of candy between 5 of his friends: 2 girls and 3 boys. Can you help him? First, place the children in the center, then drag the pieces of candy to each of them."),
                "randomisedInputData": false,
                "totalBoys": 3,
                "totalGirls": 2,
                "totalCandies": 25,
                "forceShowBasket": false,
                "placedInGirls": 1,
                "placedInBoys": 1
            }
        ],
        [
            {
                "instruction": qsTr("Charles wants to share his 6 pieces of candy with 2 of his girl friends. Can he split the pieces of candy equally?"),
                "randomisedInputData": false,
                "totalBoys": 0,
                "totalGirls": 2,
                "totalCandies": 6,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("For her birthday, Elizabeth has 8 pieces of candy to share with 3 of her friends: 2 girls and 1 boy. How should she split the pieces of candy?"),
                "randomisedInputData": false,
                "totalBoys": 1,
                "totalGirls": 2,
                "totalCandies": 12,
                "forceShowBasket": false,
                "placedInGirls": 2,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Jason's father gave him 16 pieces of candy to share with his friends: 2 boys and 2 girls. Help him give the pieces of candy to his friends."),
                "randomisedInputData": false,
                "totalBoys": 2,
                "totalGirls": 2,
                "totalCandies": 16,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("George wants to equally share 14 pieces of candy between 4 of his friends: 2 girls and 2 boys. Can he equally split the pieces of candy? First, place the children in the center, then drag the pieces of candy to each of them."),
                "randomisedInputData": false,
                "totalBoys": 2,
                "totalGirls": 2,
                "totalCandies": 16,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 1
            },
            {
                "instruction": qsTr("Maria wants to equally share 25 pieces of candy between 5 of her friends: 3 girls and 2 boys. Can she equally split the pieces of candy? First, place the children in the center, then drag the pieces of candy to each of them."),
                "randomisedInputData": false,
                "totalBoys": 2,
                "totalGirls": 3,
                "totalCandies": 25,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            }
        ]
    ]
}
