/* GCompris - Data.qml
 *
 * Copyright (C) 2020 Shubham Mishra <email.shivam828787@gmail.com>
 *
 * Authors:
 *   shivam828787@gmail.com <email.shivam828787@gmail.com>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
import GCompris 1.0

Data {
    objective: qsTr("Maximum 25 candies and 5 kids, possible rest.")
    difficulty: 5
    data:  [
        [
            {
                "instruction": qsTr("Paul wants to equally share 2 pieces of candy between 2 of his girl friends. Can you help him? First, place the children in the center, then drag the pieces of candy to each of them."),
                "randomisedInputData": false,
                "totalBoys": 0,
                "totalGirls": 2,
                "totalCandies": 2,
                "forceShowBasket": true,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Now he wants to give 5 pieces of candy to his friends."),
                "randomisedInputData": false,
                "totalBoys": 1,
                "totalGirls": 1,
                "totalCandies": 5,
                "forceShowBasket": true,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Can you now give 7 of Paul's pieces of candy to his friends?"),
                "randomisedInputData": false,
                "totalBoys": 1,
                "totalGirls": 1,
                "totalCandies": 7,
                "forceShowBasket": true,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("He wants to give 8 more pieces of candy to his friends."),
                "randomisedInputData": false,
                "totalBoys": 1,
                "totalGirls": 1,
                "totalCandies": 8,
                "forceShowBasket": true,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Paul has only 11 pieces of candy left. He eats 2 pieces of candy and he gives the rest to his friends. Can you help him equally split the 9 remaining pieces of candy?"),
                "randomisedInputData": false,
                "totalBoys": 1,
                "totalGirls": 1,
                "totalCandies": 9,
                "forceShowBasket": true,
                "placedInGirls": 0,
                "placedInBoys": 0
            }
        ],
        [
            {
                "instruction": qsTr("Bob wants to give 3 pieces of candy to his girl friends. Can you help him equally split the pieces of candy so that each friend will have the same amount?"),
                "randomisedInputData": false,
                "totalBoys": 0,
                "totalGirls": 3,
                "totalCandies": 3,
                "forceShowBasket": true,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Harry wants to equally share 8 pieces of candy between his friends: 1 boy and 2 girls. Place the children in the center, then drag the pieces of candy so that each of them has an equal number of it."),
                "randomisedInputData": false,
                "totalBoys": 1,
                "totalGirls": 2,
                "totalCandies": 9,
                "forceShowBasket": true,
                "placedInGirls": 0,
                "placedInBoys": 1
            },
            {
                "instruction": qsTr("Can you now give 8 of Harry's pieces of candy to his friends?"),
                "randomisedInputData": false,
                "totalBoys": 1,
                "totalGirls": 2,
                "totalCandies": 10,
                "forceShowBasket": true,
                "placedInGirls": 0,
                "placedInBoys": 2
            },
            {
                "instruction": qsTr("Harry is left with 12 pieces of candy, can you share them between his friends?"),
                "randomisedInputData": false,
                "totalBoys": 1,
                "totalGirls": 2,
                "totalCandies": 14,
                "forceShowBasket": true,
                "placedInGirls": 0,
                "placedInBoys": 2
            }
        ],
        [
            {
                "instruction": qsTr("Alice wants to equally share 4 pieces of candy between 4 of her girl friends. Can you help her? First, place the children in the center, then drag the pieces of candy to each of them."),
                "randomisedInputData": false,
                "totalBoys": 0,
                "totalGirls": 4,
                "totalCandies": 4,
                "forceShowBasket": true,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Now, Alice wants to give 8 pieces of candy to her friends."),
                "randomisedInputData": false,
                "totalBoys": 2,
                "totalGirls": 2,
                "totalCandies": 8,
                "forceShowBasket": true,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Can you help Alice give 10 pieces of candy to her friends: 1 girl and 3 boys?"),
                "randomisedInputData": false,
                "totalBoys": 3,
                "totalGirls": 1,
                "totalCandies": 12,
                "forceShowBasket": true,
                "placedInGirls": 2,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Alice wants to give 16 pieces of candy to her friends."),
                "randomisedInputData": false,
                "totalBoys": 2,
                "totalGirls": 2,
                "totalCandies": 16,
                "forceShowBasket": true,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Alice has 14 pieces of candy left. She wants to give them all to her friends. Can you help her split the pieces of candy equally?"),
                "randomisedInputData": false,
                "totalBoys": 2,
                "totalGirls": 2,
                "totalCandies": 20,
                "forceShowBasket": true,
                "placedInGirls": 0,
                "placedInBoys": 3
            }
        ],
        [
            {
                "instruction": qsTr("Help Jon split 11 pieces of candies between five girls. The rest will remain to Jon."),
                "randomisedInputData": false,
                "totalBoys": 0,
                "totalGirls": 5,
                "totalCandies": 11,
                "forceShowBasket": true,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Jon wants to share the rest of his pieces of candies with his brothers and his sisters. Can you split them equally, knowing that his brothers already have 2 pieces of candy?"),
                "randomisedInputData": false,
                "totalBoys": 2,
                "totalGirls": 3,
                "totalCandies": 16,
                "forceShowBasket": true,
                "placedInGirls": 0,
                "placedInBoys": 2
            },
            {
                "instruction": qsTr("Help Tux split 19 pieces of candies between his friends: 4 boys and 1 girl."),
                "randomisedInputData": false,
                "totalBoys": 4,
                "totalGirls": 1,
                "totalCandies": 21,
                "forceShowBasket": true,
                "placedInGirls": 2,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Help Maria split 18 pieces of candy between 3 boys and 2 girls."),
                "randomisedInputData": false,
                "totalBoys": 3,
                "totalGirls": 2,
                "totalCandies": 20,
                "forceShowBasket": true,
                "placedInGirls": 1,
                "placedInBoys": 0
            },
        ],
        [
            {
                "instruction": qsTr("Charles wants to share his 6 pieces of candy with 2 of his girl friends. Can he split the pieces of candy equally?"),
                "randomisedInputData": false,
                "totalBoys": 0,
                "totalGirls": 2,
                "totalCandies": 6,
                "forceShowBasket": true,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("For her birthday, Elizabeth has 8 pieces of candy to share with 3 of her friends: 2 girls and 1 boy. How should she split the pieces of candy to her friends?"),
                "randomisedInputData": false,
                "totalBoys": 1,
                "totalGirls": 2,
                "totalCandies": 12,
                "forceShowBasket": true,
                "placedInGirls": 2,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Jason's father gave him 17 pieces of candy to share with his friends: 2 boys and 2 girls. Help him give the pieces of candy to his friends."),
                "randomisedInputData": false,
                "totalBoys": 2,
                "totalGirls": 2,
                "totalCandies": 17,
                "forceShowBasket": true,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("George wants to equally share 14 pieces of candy between 4 of his friends: 2 girls and 2 boys. Can he equally split the pieces of candy between his friends? First, place the children in center, then drag the pieces of candy to each of them. Be careful."),
                "randomisedInputData": false,
                "totalBoys": 2,
                "totalGirls": 2,
                "totalCandies": 20,
                "forceShowBasket": true,
                "placedInGirls": 2,
                "placedInBoys": 1
            },
            {
                "instruction": qsTr("Maria wants to equally share 23 pieces of candy between 5 of her friends: 3 girls and 2 boys. Can she equally split the pieces of candy between her friends? First, place the children in center, then drag the pieces of candy to each of them. Be careful, a rest will remain."),
                "randomisedInputData": false,
                "totalBoys": 2,
                "totalGirls": 3,
                "totalCandies": 26,
                "forceShowBasket": true,
                "placedInGirls": 1,
                "placedInBoys": 0
            }
        ]
    ]
}
