/* GCompris - Data.qml
 *
 * Copyright (C) 2020 Shubham Mishra <shivam828787@gmail.com>
 *
 * Authors:
 *   Shubham Mishra <shivam828787@gmail.com>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
import GCompris 1.0

Data {
    objective: qsTr("Large grids using numbers.")
    difficulty: 6

    property var symbols: [
        {"imgName": "1.svg", "text": '1'},
        {"imgName": "2.svg", "text": '2'},
        {"imgName": "3.svg", "text": '3'},
        {"imgName": "4.svg", "text": '4'},
        {"imgName": "5.svg", "text": '5'},
        {"imgName": "6.svg", "text": '6'},
        {"imgName": "7.svg", "text": '7'},
        {"imgName": "8.svg", "text": '8'},
        {"imgName": "9.svg", "text": '9'}
    ]

    data: [
        {
            "symbols": symbols,
            "data": [
                [
                    ['8', '9', '3', '4', '5', '2', '6', '7', '1'],
                    ['7', '1', '6', '3', '9', '8', '5', '.', '2'],
                    ['2', '4', '5', '1', '7', '6', '9', '8', '3'],
                    ['5', '2', '1', '8', '4', '9', '3', '6', '7'],
                    ['9', '6', '.', '2', '3', '7', '1', '5', '8'],
                    ['3', '8', '7', '5', '6', '1', '4', '2', '9'],
                    ['4', '7', '.', '9', '1', '5', '8', '.', '6'],
                    ['6', '5', '9', '7', '8', '3', '2', '1', '4'],
                    ['1', '3', '8', '6', '.', '4', '.', '9', '5']
                ],
                [
                    ['7', '9', '4', '6', '3', '5', '8', '1', '2'],
                    ['8', '3', '2', '4', '9', '1', '5', '7', '6'],
                    ['6', '1', '5', '.', '8', '2', '4', '.', '3'],
                    ['5', '2', '8', '1', '7', '3', '6', '4', '9'],
                    ['4', '7', '3', '2', '6', '9', '1', '5', '8'],
                    ['9', '6', '1', '8', '5', '4', '3', '2', '7'],
                    ['3', '8', '9', '5', '1', '7', '2', '6', '4'],
                    ['2', '5', '6', '.', '4', '.', '7', '3', '1'],
                    ['1', '4', '7', '3', '2', '6', '9', '8', '5']
                ],
                [
                    ['5', '6', '2', '1', '7', '9', '4', '3', '8'],
                    ['.', '3', '4', '8', '5', '6', '7', '1', '2'],
                    ['1', '8', '7', '4', '3', '2', '5', '9', '6'],
                    ['6', '9', '.', '7', '1', '5', '3', '2', '4'],
                    ['4', '1', '3', '9', '2', '8', '6', '.', '5'],
                    ['7', '2', '5', '3', '6', '4', '9', '8', '1'],
                    ['8', '5', '9', '2', '4', '3', '1', '6', '7'],
                    ['2', '7', '6', '5', '9', '1', '8', '4', '3'],
                    ['3', '4', '1', '.', '8', '7', '2', '5', '9']
                ],
                [
                    ['2', '1', '6', '4', '7', '8', '9', '5', '3'],
                    ['4', '9', '7', '.', '5', '3', '2', '6', '8'],
                    ['5', '3', '8', '2', '6', '9', '4', '1', '7'],
                    ['8', '.', '4', '9', '3', '6', '1', '7', '5'],
                    ['6', '5', '.', '7', '4', '1', '8', '2', '9'],
                    ['1', '7', '9', '8', '2', '5', '3', '4', '6'],
                    ['3', '4', '1', '6', '9', '7', '5', '8', '2'],
                    ['7', '8', '5', '3', '1', '2', '6', '.', '4'],
                    ['9', '6', '2', '5', '8', '4', '7', '3', '1']
                ]
            ]
        },
        {
            "symbols": symbols,
            "data": [
                [
                    ['3', '8', '4', '9', '5', '6', '2', '7', '1'],
                    ['9', '.', '6', '8', '7', '2', '5', '3', '4'],
                    ['2', '5', '7', '1', '4', '.', '6', '9', '8'],
                    ['8', '9', '3', '.', '.', '5', '1', '.', '7'],
                    ['7', '2', '1', '4', '3', '9', '8', '5', '6'],
                    ['6', '4', '5', '7', '1', '8', '9', '2', '.'],
                    ['1', '3', '9', '.', '8', '7', '.', '6', '2'],
                    ['4', '6', '2', '3', '9', '1', '7', '.', '5'],
                    ['5', '7', '8', '2', '6', '4', '.', '1', '.']
                ],
                [
                    ['1', '2', '8', '4', '9', '3', '.', '6', '5'],
                    ['6', '.', '4', '5', '7', '8', '2', '9', '1'],
                    ['5', '7', '9', '2', '1', '6', '8', '4', '3'],
                    ['2', '6', '1', '3', '8', '5', '4', '7', '9'],
                    ['8', '5', '3', '.', '4', '9', '1', '2', '6'],
                    ['9', '.', '7', '6', '.', '1', '3', '5', '8'],
                    ['.', '.', '6', '1', '5', '.', '9', '3', '2'],
                    ['3', '9', '2', '8', '6', '7', '5', '1', '.'],
                    ['4', '1', '5', '9', '3', '2', '6', '.', '.']
                ],
                [
                    ['.', '8', '.', '4', '9', '2', '5', '1', '6'],
                    ['5', '.', '.', '7', '1', '6', '8', '.', '3'],
                    ['.', '6', '1', '3', '5', '.', '2', '4', '7'],
                    ['1', '2', '6', '.', '3', '7', '4', '5', '9'],
                    ['.', '9', '5', '2', '6', '1', '3', '7', '8'],
                    ['8', '7', '3', '.', '4', '5', '6', '2', '1'],
                    ['.', '3', '9', '1', '2', '4', '7', '8', '5'],
                    ['7', '1', '4', '5', '8', '3', '9', '6', '2'],
                    ['2', '5', '8', '6', '7', '9', '1', '3', '4']
                ],
                [
                    ['3', '7', '.', '4', '1', '.', '8', '5', '9'],
                    ['9', '5', '.', '8', '7', '3', '6', '.', '2'],
                    ['6', '1', '8', '2', '9', '5', '3', '4', '7'],
                    ['4', '3', '9', '1', '8', '.', '2', '6', '5'],
                    ['1', '2', '7', '5', '6', '4', '9', '8', '3'],
                    ['.', '8', '6', '3', '2', '9', '4', '7', '1'],
                    ['8', '9', '.', '7', '.', '2', '5', '3', '.'],
                    ['7', '6', '5', '9', '3', '8', '1', '2', '4'],
                    ['2', '4', '3', '6', '5', '.', '7', '9', '.']
                ]
            ]
        },
        {
            "symbols": symbols,
            "data": [
                [
                    ['6', '1', '7', '5', '2', '9', '3', '.', '8'],
                    ['.', '4', '.', '.', '8', '6', '9', '2', '7'],
                    ['8', '9', '.', '.', '7', '4', '5', '6', '.'],
                    ['1', '8', '.', '.', '5', '7', '4', '.', '2'],
                    ['.', '2', '6', '9', '3', '1', '7', '.', '5'],
                    ['7', '.', '5', '2', '4', '8', '.', '1', '9'],
                    ['9', '7', '8', '4', '.', '2', '1', '5', '3'],
                    ['3', '.', '1', '8', '.', '.', '.', '7', '4'],
                    ['.', '5', '4', '7', '1', '3', '8', '.', '6']
                ],
                [
                    ['8', '5', '2', '4', '3', '1', '9', '6', '7'],
                    ['1', '9', '6', '2', '.', '5', '4', '.', '8'],
                    ['.', '.', '.', '6', '8', '9', '5', '2', '1'],
                    ['2', '1', '5', '.', '6', '8', '.', '4', '9'],
                    ['7', '.', '.', '1', '2', '4', '3', '.', '.'],
                    ['6', '.', '3', '9', '5', '7', '1', '8', '.'],
                    ['.', '2', '1', '7', '4', '6', '8', '9', '3'],
                    ['.', '6', '.', '5', '1', '3', '2', '7', '4'],
                    ['3', '.', '4', '.', '.', '.', '6', '.', '5']
                ],
                [
                    ['.', '3', '2', '8', '5', '1', '6', '.', '.'],
                    ['6', '8', '9', '3', '4', '2', '.', '7', '1'],
                    ['4', '1', '5', '.', '9', '7', '8', '2', '3'],
                    ['2', '4', '.', '.', '.', '9', '7', '3', '.'],
                    ['5', '.', '7', '2', '3', '.', '1', '6', '8'],
                    ['1', '6', '3', '7', '8', '5', '4', '9', '2'],
                    ['9', '7', '.', '4', '.', '8', '3', '5', '.'],
                    ['3', '2', '.', '.', '1', '6', '9', '.', '7'],
                    ['8', '.', '6', '.', '7', '3', '2', '.', '.']
                ],
                [
                    ['9', '5', '8', '6', '4', '.', '1', '7', '2'],
                    ['2', '6', '4', '.', '5', '1', '.', '8', '3'],
                    ['1', '3', '7', '.', '8', '2', '4', '.', '6'],
                    ['3', '4', '9', '8', '2', '.', '6', '1', '7'],
                    ['6', '1', '2', '4', '9', '7', '8', '3', '.'],
                    ['.', '.', '.', '1', '3', '6', '2', '9', '4'],
                    ['5', '.', '1', '.', '.', '9', '7', '.', '8'],
                    ['7', '8', '6', '.', '.', '.', '3', '.', '9'],
                    ['4', '9', '3', '2', '.', '8', '5', '.', '.']
                ]
            ]
        },
        {
            "symbols": symbols,
            "data": [
                [
                    ['.', '1', '7', '3', '.', '8', '.', '.', '2'],
                    ['2', '9', '8', '.', '1', '6', '3', '7', '.'],
                    ['3', '5', '.', '9', '7', '2', '.', '.', '4'],
                    ['6', '3', '9', '5', '4', '.', '7', '.', '8'],
                    ['.', '.', '4', '.', '.', '3', '5', '1', '9'],
                    ['1', '8', '.', '2', '9', '.', '4', '.', '.'],
                    ['5', '.', '3', '.', '.', '9', '2', '.', '7'],
                    ['.', '7', '.', '6', '3', '5', '9', '.', '.'],
                    ['.', '.', '1', '7', '2', '4', '.', '5', '.']
                ],
                [
                    ['.', '5', '8', '6', '7', '.', '3', '9', '2'],
                    ['2', '.', '.', '4', '5', '.', '.', '7', '6'],
                    ['.', '.', '6', '.', '.', '.', '8', '5', '4'],
                    ['.', '8', '.', '7', '2', '6', '5', '4', '.'],
                    ['5', '.', '2', '9', '.', '4', '.', '3', '.'],
                    ['1', '7', '4', '5', '.', '3', '2', '6', '.'],
                    ['3', '.', '.', '8', '6', '.', '4', '1', '.'],
                    ['8', '9', '5', '.', '4', '.', '6', '.', '.'],
                    ['6', '4', '.', '.', '.', '5', '9', '8', '7']
                ],
                [
                    ['4', '.', '5', '7', '3', '1', '9', '6', '2'],
                    ['3', '.', '6', '4', '.', '.', '.', '8', '.'],
                    ['9', '1', '7', '.', '.', '2', '4', '5', '3'],
                    ['.', '9', '8', '5', '2', '7', '.', '1', '.'],
                    ['.', '7', '.', '.', '.', '4', '.', '.', '8'],
                    ['.', '.', '1', '3', '6', '8', '.', '7', '.'],
                    ['.', '3', '2', '.', '.', '9', '7', '4', '.'],
                    ['7', '.', '.', '.', '.', '.', '2', '3', '1'],
                    ['1', '6', '.', '2', '7', '3', '8', '9', '5']
                ],
                [
                    ['6', '5', '1', '8', '4', '7', '3', '.', '9'],
                    ['.', '4', '9', '.', '1', '5', '6', '.', '.'],
                    ['7', '.', '3', '.', '2', '9', '4', '.', '.'],
                    ['.', '2', '.', '7', '9', '6', '8', '4', '1'],
                    ['.', '9', '.', '4', '3', '.', '5', '.', '2'],
                    ['1', '6', '4', '.', '.', '2', '.', '.', '3'],
                    ['4', '1', '.', '9', '.', '.', '7', '5', '.'],
                    ['5', '3', '6', '.', '.', '.', '.', '9', '.'],
                    ['.', '7', '8', '1', '5', '.', '.', '3', '6']
                ]
            ]
        },
        {
            "symbols": symbols,
            "data": [
                [
                    ['.', '2', '.', '1', '.', '5', '.', '.', '9'],
                    ['.', '.', '1', '4', '7', '6', '2', '8', '.'],
                    ['3', '7', '4', '.', '8', '2', '.', '.', '6'],
                    ['.', '6', '3', '.', '4', '1', '.', '9', '2'],
                    ['4', '5', '9', '.', '.', '.', '8', '.', '7'],
                    ['.', '.', '2', '7', '5', '.', '6', '3', '.'],
                    ['.', '4', '7', '.', '.', '8', '3', '.', '1'],
                    ['.', '3', '.', '6', '.', '4', '.', '2', '5'],
                    ['6', '.', '.', '3', '.', '.', '.', '.', '8']
                ],
                [
                    ['4', '.', '5', '.', '2', '.', '7', '.', '1'],
                    ['.', '.', '.', '3', '4', '.', '5', '6', '8'],
                    ['6', '.', '.', '8', '5', '7', '2', '.', '.'],
                    ['.', '.', '4', '.', '.', '5', '.', '7', '.'],
                    ['.', '3', '.', '2', '.', '.', '8', '.', '.'],
                    ['5', '.', '.', '.', '.', '9', '.', '.', '2'],
                    ['.', '7', '1', '.', '.', '.', '4', '2', '.'],
                    ['2', '.', '6', '.', '9', '.', '3', '.', '.'],
                    ['3', '.', '9', '1', '.', '2', '6', '.', '.']
                ],
                [
                    ['5', '7', '8', '.', '.', '3', '.', '9', '.'],
                    ['.', '6', '.', '4', '.', '9', '7', '.', '8'],
                    ['2', '4', '9', '7', '8', '1', '5', '3', '.'],
                    ['.', '1', '.', '.', '9', '7', '.', '.', '.'],
                    ['.', '.', '.', '5', '.', '.', '4', '.', '3'],
                    ['6', '8', '5', '2', '3', '.', '.', '.', '.'],
                    ['.', '5', '1', '9', '.', '.', '.', '.', '2'],
                    ['4', '.', '6', '3', '.', '2', '.', '5', '1'],
                    ['.', '.', '2', '.', '4', '5', '.', '7', '.']
                ],
                [
                    ['9', '.', '.', '.', '7', '2', '.', '3', '.'],
                    ['4', '1', '.', '8', '5', '.', '9', '.', '.'],
                    ['2', '7', '3', '9', '.', '.', '.', '.', '.'],
                    ['.', '3', '.', '.', '.', '.', '7', '.', '.'],
                    ['1', '9', '7', '.', '3', '.', '.', '.', '5'],
                    ['6', '5', '2', '1', '.', '.', '4', '8', '3'],
                    ['.', '.', '9', '.', '.', '4', '.', '1', '8'],
                    ['.', '.', '.', '2', '.', '5', '3', '4', '.'],
                    ['5', '.', '8', '.', '.', '.', '.', '6', '7']
                ]
            ]
        }
    ]
}
